package com.yihu.jw.entity.care.course;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntityWithTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/5/10
 * @Description: 招生表
 */
@Entity
@Table(name="base_recruit_students")
public class RecruitStudentsDO  extends UuidIdentityEntityWithTime {

    /**
     * '招生机构'
     */
    private String orgCode;
    /**
     *'招生机构名称'
     */
    private String orgName;
    /**
     *'招生主题'
     */
    private String theme;
    /**
     * 招生名称
     */
    private String name;
    /**
     *'报名开始时间'
     */
    private Date startTime;
    /**
     *'报名结束时间'
     */
    private Date endTime;
    /**
     *'招生名额'
     */
    private Integer num;
    /**
     *'报名费用'
     */
    private BigDecimal fee;
    /**
     *'已录取人数'
     */
    private Integer admittedNum;
    /**
     * '删除标志 1正常 0删除'
     */
    private Integer del;

    @Column(name = "org_code")
    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    @Column(name = "org_name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @Column(name = "theme")
    public String getTheme() {
        return theme;
    }

    public void setTheme(String theme) {
        this.theme = theme;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "start_time")
    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "end_time")
    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    @Column(name = "num")
    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    @Column(name = "fee")
    public BigDecimal getFee() {
        return fee;
    }

    public void setFee(BigDecimal fee) {
        this.fee = fee;
    }

    @Column(name = "admitted_num")
    public Integer getAdmittedNum() {
        return admittedNum;
    }

    public void setAdmittedNum(Integer admittedNum) {
        this.admittedNum = admittedNum;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
